# Class NtlmMessage

java.lang.Object
waffle.util.NtlmMessage

public final class NtlmMessage extends Object
Rudimentary NTLM message utility.

## Method Summary

Modifier and Type
Method
Description
`static int`
`getMessageType(byte[] message)`
Get NTLM message type.
`static boolean`
`isNtlmMessage(byte[] message)`
Checks if is ntlm message.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### isNtlmMessage

public static boolean isNtlmMessage(byte[] message)
Checks if is ntlm message.

Parameters:
  `message` - the message
Returns:
  true, if is ntlm message

### getMessageType

public static int getMessageType(byte[] message)
Get NTLM message type.

Parameters:
  `message` - Assuming a valid NTLM message.
Returns:
  Message type.